# Interface NoteRow

interface NoteRow {
blobId: string;
content?: string | Buffer<ArrayBufferLike>;
dateCreated: string;
dateModified: string;
deleteId: string;
isDeleted: boolean;
isProtected: boolean;
mime: string;
noteId: string;
title: string;
type:
| "search"
| "file"
| "text"
| "code"
| "relationMap"
| "render"
| "book"
| "mermaid"
| "canvas"
| "image"
| "noteMap"
| "launcher"
| "doc"
| "contentWidget"
| "webView"
| "mindMap";
utcDateCreated: string;
utcDateModified: string;
}

- Defined in becca/entities/rows.ts:106

#####
Index

### Properties

blobId
content?
dateCreated
dateModified
deleteId
isDeleted
isProtected
mime
noteId
title
type
utcDateCreated
utcDateModified

##
Properties

### blobId

blobId: string

- Defined in becca/entities/rows.ts:114

### `Optional` content

content?: string | Buffer<ArrayBufferLike>

- Defined in becca/entities/rows.ts:119

### dateCreated

dateCreated: string

- Defined in becca/entities/rows.ts:115

### dateModified

dateModified: string

- Defined in becca/entities/rows.ts:116

### deleteId

deleteId: string

- Defined in becca/entities/rows.ts:108

### isDeleted

isDeleted: boolean

- Defined in becca/entities/rows.ts:113

### isProtected

isProtected: boolean

- Defined in becca/entities/rows.ts:112

### mime

mime: string

- Defined in becca/entities/rows.ts:111

### noteId

noteId: string

- Defined in becca/entities/rows.ts:107

### title

title: string

- Defined in becca/entities/rows.ts:109

### type

type:
| "search"
| "file"
| "text"
| "code"
| "relationMap"
| "render"
| "book"
| "mermaid"
| "canvas"
| "image"
| "noteMap"
| "launcher"
| "doc"
| "contentWidget"
| "webView"
| "mindMap"

- Defined in becca/entities/rows.ts:110

### utcDateCreated

utcDateCreated: string

- Defined in becca/entities/rows.ts:117

### utcDateModified

utcDateModified: string

- Defined in becca/entities/rows.ts:118